Source: https://developers.woosmap.com/api-reference/datasets-api/get-datasets-dataset_id-features-feature_id/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Get Feature



# Get Feature

 GET 
https://api.woosmap.com/datasets/{dataset\_id}/features/{feature\_id}

Gets a feature from its ID.

**Rate limit** : `20/1s`

**Ratelimit:** 20/1s

### Authorization

[`key`](#authorization-datasets-publicapikey)
apiKeyquery

Public key of the project usually starts with `woos-`

[`private_key`](#authorization-datasets-privateapikey)
apiKeyquery

Private key with or without write permission.

[`X-Api-Key`](#authorization-datasets-privateapikeyheader)
apiKeyheader

Private key with or without write permission.

### Path Parameters

[`dataset_id`](#path-dataset-id)
stringrequired

[`feature_id`](#path-feature-id)
stringrequired

### Query Parameters

[`format`](#query-format)
stringDefaults to `geojson`

Available options:`geojson`, `wkb`

### Header Parameters

[`X-Field-Mask`](#header-x-field-mask)
object

### Response

200application/json

Successful Response

[`id`](#resp-200-id)
string (uuid)required

[`geometry`](#resp-200-geometry)
string | PointGeometry | LineStringGeometry | PolygonGeometry | MultiPointGeometry | MultiLineStringGeometry | MultiPolygonGeometryrequired

[`attributes`](#resp-200-attributes)
objectrequired

### Errors

#401

Unable to locate credentials.

 

`application/json`

[`detail`](#err-401-detail)
stringrequired

#402

Out of free quota.

 

`application/json`

[`detail`](#err-402-detail)
stringrequired

#403

Credentials found, but not matching.

 

`application/json`

[`detail`](#err-403-detail)
stringrequired

#404

Feature or Dataset were not found

 

`application/json`

[`details`](#err-404-details)
stringrequired

#422

Validation Error

 

`application/json`

[`detail`](#err-422-detail)
object[]

Show 3 propertiesHide 3 properties

detail.[`loc`](#err-422-detail-loc)
any[]required

detail.[`msg`](#err-422-detail-msg)
stringrequired

detail.[`type`](#err-422-detail-type)
stringrequired

#429

Rate limit reached

 

`application/json`

[`details`](#err-429-details)
stringrequired

```shell
curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/497f6eca-6276-4993-bfeb-53cbbbba6f08?private_key=YOUR_PRIVATE_API_KEY'
```

```javascript
const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/497f6eca-6276-4993-bfeb-53cbbbba6f08?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/497f6eca-6276-4993-bfeb-53cbbbba6f08?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```
